#include<stdio.h>
#include<string.h>
int main()
{
    int N, C, Q, i, L, R;
    char s[100];
    scanf("%d %d %d", &N, &C, &Q);
    scanf("%s",&s);

    for(i = 1; i <= Q; i++)
    {
        scanf("%d %d", &L, &R);
    }

}